import { Board } from "./entities/Board";
import { PlayerInterface } from "./entities/player/PlayerInterface";
import { PlayerMove } from "./entities/PlayerMove";
import { Tile } from "./entities/Tile";

export interface PlayerInteractionInterface {
    player: PlayerInterface;

    makeMove(board: Board): Promise<PlayerMove | null>;
    chooseTile(board: Board): Promise<Tile>
}