import { PlayerDto } from "./PlayerDto";

export interface MatchSessionState {
  id: string;
  name: string;
  creator: string;
  players: PlayerDto[];
  seed: string;
  waitingForPlayers: boolean;
  mode: string;
  pointsToWin: number;
  sessionInProgress: boolean;
  status: string;
  maxPlayers: number;
  numPlayers: number;
  waitingSeconds: number;
  scoreboard: [string, number][];
  matchWinner: PlayerDto | null;
  matchInProgress: boolean;
  playersReady: number
}