export type PlayerType = 'AI' | 'Human';
export type PlayerMoveSideType = 'left' | 'right' | 'both'; 
export type JointValueType = 0 | 1 | 2;

export const PlayerMoveSide: { [key: string]: PlayerMoveSideType } = {
  LEFT: 'left',
  RIGHT: 'right',
  BOTH: 'both'
};

export const JointValue: { [key: string]: JointValueType } = {
  LEFT: 0,
  RIGHT: 1,
  NONE: 2
};
