import { uuid } from "../../common/utilities";
import { PlayerMoveSideType } from "../constants";
import { Tile } from "./Tile";

export class PlayerMove {
  id: string = uuid();
  constructor(public tile: Tile, public type: PlayerMoveSideType | null, public playerId: string, direction?: string) {}

  toString() {
    return `PlayerMove:([${this.tile.pips[0]}|${this.tile.pips[1]}] ${this.type})`;
  }
}